openapi: 3.0.3
info:
  title: ervu-lkrp-ul API
  description: API сервиса ervu-lkrp-ul
  version: 1.9.1
servers:
  - url: https://ul-lkrp-ervu-test.pgs.rtlabs.ru
paths:
  /employee/document:
    post:
      summary: Загрузка файла
      operationId: saveEmployeeInformationFile
      description: Загрузка файла в ЕРВУ
      parameters:
        - name: file
          in: query
          required: true
          description: Файл
          schema:
            type: object
        - name: X-Employee-Info-File-Form-Type
          in: header
          required: true
          description: Тип формы
          schema:
            type: string
        - name: Client-Time-Zone
          in: header
          required: true
          description: Таймзона клиента
          schema:
            type: string
      responses:
        "200":
          description: OK
  /esia/auth:
    get:
      summary: Получение маркера доступа
      operationId: esiaAuth
      description: Получение маркера доступа в обмен на код от ЕСИА и создание внутреннего токена
      parameters:
        - name: code
          in: query
          required: true
          description: Код, присланный ЕСИА после успешной авторизации
          schema:
            type: string
      responses:
        "200":
          description: Authentication successful
          content:
            application/json:
              schema:
                type: object
  /esia/org:
    get:
      summary: Получение информации об организации
      operationId: getOrgInfo
      description: Получение информации об организации ЕСИА
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: object
  /esia/orgunitname:
    get:
      summary: Получение наименования организации
      operationId: getOrgUnitName
      description: Получение наименования организации ЕСИА
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: string
  /esia/refresh:
    post:
      summary: Обновление токена
      operationId: refreshToken
      description: Обновление токена
      responses:
        "200":
          description: OK
  /esia/url:
    get:
      summary: Получение URL ЕСИА
      operationId: getEsiaUrl
      description: Получение URL ЕСИА
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: string
  /esia/userfullname:
    get:
      summary: Получение полного имени пользователя
      operationId: getUserFullname
      description: Получение полного имени пользователя ЕСИА
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: string
  /kafka/excerpt:
    get:
      summary: Получение выписки
      operationId: getExcerptFile
      description: Получение выписки по журналу взаимодействий с ЕРВУ
      responses:
        "200":
          description: OK
          headers:
            Content-Disposition:
              schema:
                type: string
                example: attachment; filename*=UTF-8''encodedfilename.xlsx
          content:
            application/octet-stream:
              schema:
                type: object
        "204":
          description: No Content
  /rpc/filesentlog/bbaf33d7-0679-440b-a394-cb805ce80300/ru.micord.ervu.service.rpc.InMemoryStaticGridRpcService/loadData:
    post:
      summary: Получение данных по журналу взаимодействий
      operationId: call
      description: Получение данных по журналу взаимодействий с ЕРВУ
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: object
